<?php
// $Id: node.tpl.php,v 1.1 2009/09/20 17:19:55 blagoj Exp $

/**
 * @file node.tpl.php
 *
 * Theme implementation to display a node.
 *
 * Available variables:
 * - $title: the (sanitized) title of the node.
 * - $content: Node body or teaser depending on $teaser flag.
 * - $picture: The authors picture of the node output from
 *   theme_user_picture().
 * - $date: Formatted creation date (use $created to reformat with
 *   format_date()).
 * - $links: Themed links like "Read more", "Add new comment", etc. output
 *   from theme_links().
 * - $name: Themed username of node author output from theme_user().
 * - $node_url: Direct url of the current node.
 * - $terms: the themed list of taxonomy term links output from theme_links().
 * - $submitted: themed submission information output from
 *   theme_node_submitted().
 *
 * Other variables:
 * - $node: Full node object. Contains data that may not be safe.
 * - $type: Node type, i.e. story, page, blog, etc.
 * - $comment_count: Number of comments attached to the node.
 * - $uid: User ID of the node author.
 * - $created: Time the node was published formatted in Unix timestamp.
 * - $zebra: Outputs either "even" or "odd". Useful for zebra striping in
 *   teaser listings.
 * - $id: Position of the node. Increments each time it's output.
 *
 * Node status variables:
 * - $teaser: Flag for the teaser state.
 * - $page: Flag for the full page state.
 * - $promote: Flag for front page promotion state.
 * - $sticky: Flags for sticky post setting.
 * - $status: Flag for published status.
 * - $comment: State of comment settings for the node.
 * - $readmore: Flags true if the teaser content of the node cannot hold the
 *   main body content.
 * - $is_front: Flags true when presented in the front page.
 * - $logged_in: Flags true when the current user is a logged-in member.
 * - $is_admin: Flags true when the current user is an administrator.
 *
 * @see template_preprocess()
 * @see template_preprocess_node()
 */
?>
<!-- post -->
    <div id="node-<?php print $node->nid; ?>" class="post">
        <?php if (!$page): ?>
        <h3 class="title"><a href="<?php print $node_url ?>" title="<?php print $title ?>"><?php print $title ?></a></h3>
		<?php endif; ?>
        <!-- story header -->
        <div class="postheader">
          <div class="postinfo">
<?php if (isset($posted_by)): ?>
            <p><?php print $posted_by; ?></p>
<?php endif; ?>
          </div>
        </div>
        <!-- /story header -->

        <div class="postbody entry clearfix">
         <?php 
          hide($content['comments']);
	      hide($content['links']);
		  hide($content['readmore']);
	      print render($content);
        ?>
        </div>
        
         <?php if (isset($content['taxonomy_tags'])): ?>
          <div class="tags"><?php print render($content['taxonomy_tags']) ?></div>
 		 <?php endif; ?>
 		 
 		 <?php if (isset($content['links'])): ?>
           <div class="postcontrols">
             <?php if ($node->comment_count > 0): ?><span class="comments" ><?php print render($content['links']); ?></span><?php else: print render($content['links']); endif; ?>
           </div>
         <?php endif; ?>

        <div class="clear-block"> </div>
<?php if (isset($content['comments'])): ?>
        <?php print render($content['comments']);endif; ?>
    </div>
    <!-- /post -->
